Package org.apache.lucene.search.uhighlight

# Enum Class UnifiedHighlighter.OffsetSource

java.lang.Object
java.lang.Enum<UnifiedHighlighter.OffsetSource>
org.apache.lucene.search.uhighlight.UnifiedHighlighter.OffsetSource

All Implemented Interfaces:
  `Serializable`, `Comparable<UnifiedHighlighter.OffsetSource>`, `Constable`

Enclosing class:
  `UnifiedHighlighter`

public static enum UnifiedHighlighter.OffsetSource extends Enum<UnifiedHighlighter.OffsetSource>
Source of term offsets; essential for highlighting.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANALYSIS`
  `NONE_NEEDED`
  `POSTINGS`
  `POSTINGS_WITH_TERM_VECTORS`
  `TERM_VECTORS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static UnifiedHighlighter.OffsetSource`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static UnifiedHighlighter.OffsetSource[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### POSTINGS

    public static final UnifiedHighlighter.OffsetSource POSTINGS

  - ### TERM_VECTORS

    public static final UnifiedHighlighter.OffsetSource TERM_VECTORS

  - ### ANALYSIS

    public static final UnifiedHighlighter.OffsetSource ANALYSIS

  - ### POSTINGS_WITH_TERM_VECTORS

    public static final UnifiedHighlighter.OffsetSource POSTINGS_WITH_TERM_VECTORS

  - ### NONE_NEEDED

    public static final UnifiedHighlighter.OffsetSource NONE_NEEDED

- ## Method Details

  - ### values

    public static UnifiedHighlighter.OffsetSource[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static UnifiedHighlighter.OffsetSource valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null